#ifndef MATRIX_H
#define MATRIX_H

#include <iostream>
#include <string>

// using namespace std;

const int VectorSize = 4;
const int MatrixSize = 4;

typedef double ElementType;

typedef ElementType VectorType [VectorSize];
typedef ElementType MatrixType [MatrixSize] [MatrixSize];

void readVector (std::istream & stream, VectorType & vector);
void readMatrix (std::istream & stream, MatrixType & matrix);

void writeVector (std::ostream & stream, VectorType & vector);
void writeMatrix (std::ostream & stream, MatrixType & matrix);

#endif // MATRIX_H
